#pragma once

typedef Boolean (*wProcPtr)(WindowPeek wp, Handle data);

typedef struct {
	wProcPtr	updateProc;
	wProcPtr	clickProc;
	wProcPtr	closeProc;
	wProcPtr	keyProc;
	wProcPtr	saveProc;
	wProcPtr	adjustMenuProc;
	wProcPtr	idleProc;
	long		wFlags;
	Handle		data;
}  wDispRec, **wDispHandle;

#define	GetWDisp(wp)	(wDispHandle)GetWRefCon(wp)

#define	kDispWindowKind 128

Handle	GetWData(WindowPtr	wp);
void SetWData(WindowPtr	wp, Handle data);
WindowPtr NewDispatchWindow(short ID);
